# studio::BlackLevelSelector Class Reference

`#include <dialog_setup.h>`

List of all members.

## Public Member Functions

| BlackLevelSelector ()
| ~BlackLevelSelector ()
sigc::signal< void > & | signal_value_changed ()
void | set_value (float x)
const float & | get_value () const
bool | redraw (GdkEventExpose *bleh=NULL)
bool | on_event (GdkEvent *event)

## Constructor & Destructor Documentation

BlackLevelSelector::BlackLevelSelector | ( |  | ) |

References redraw().

BlackLevelSelector::~BlackLevelSelector | ( |  | ) |

## Member Function Documentation

sigc::signal<void>& studio::BlackLevelSelector::signal_value_changed | ( |  | ) | `[inline]`

Referenced by studio::Dialog_Setup::Dialog_Setup().

void studio::BlackLevelSelector::set_value | ( | float | x | ) | `[inline]`

Referenced by studio::Dialog_Setup::refresh().

const float& studio::BlackLevelSelector::get_value | ( |  | ) | const`[inline]`

bool BlackLevelSelector::redraw | ( | GdkEventExpose * | bleh = `NULL` | ) |

References synfigapp::Action::create().

Referenced by BlackLevelSelector().

bool BlackLevelSelector::on_event | ( | GdkEvent * | event | ) |

The documentation for this class was generated from the following files:

- dialog_setup.h
- dialog_setup.cpp